#ifdef __cplusplus
extern "C" {
#endif

#define IAX2_CALL_TERMINATED	0
#define IAX2_START_CALL			1

extern	volatile DLONG Sys_lTicker;

void	Iax2Startup();
void	Iax2Initialize();
void	Iax2Logon();
void	Iax2Logoff();
BOOLEAN	Iax2Call(PXCHAR pKeyBuf);
void	Iax2AnswerCall(BOOLEAN bAnswer);
void	Iax2Hangup();
void	Iax2Connect();
void	Iax2CallHold();
void	Iax2AttendedTransfer();
void	Iax2UnattendedTransfer(PXCHAR pDstNumber);
void	Iax2HandleTimer();
void	Iax2SendDtmfKeys(PXCHAR pKeyBuf, UCHAR iLen);
void	Iax2SendVoice(UCHAR iLen, PXCHAR pData);

void	Iax2Flash();	// Thomas NOEL <thomas.noel@auf.org>

BOOLEAN Iax2RunUdp();	

BOOLEAN	Iax2DPCall();
void	Iax2DPReq(PXCHAR pKeyBuf);


#ifdef __cplusplus
}
#endif
